(function($, Drupal) {

    "use strict";

    Drupal.luxestate = Drupal.luxestate || {};
    //Drupal.Responsive = Drupal.Responsive || {};
    Drupal.count = 0;
    Drupal.behaviors.Luxestate = {
        attach: function(context, settings) {

            $(window).on('load', function() {

                // add class service

                if ($('.services-detail').length) {
                    $('#page').addClass('services-detail-info');
                }
                if ($('.about-us-detail').length) {
                    $('#page').addClass('about-us-detail');
                }

                //Drupal.luxestate.mobileForum();

                $('.view-blog-summary .views-row .views-col').matchHeight({
                    property: 'min-height'
                });
                $('.view-blog-news .views-row .views-col').matchHeight({
                    property: 'min-height'
                });
                $('.view-our-mission .views-row .views-col').matchHeight({
                    property: 'min-height'
                });

                if ($("#search-block-form input[name='keys']").val() === "") {
                    $("#search-block-form input[name='keys']").val(Drupal.t("Keywords"));
                }
                $("#search-block-form input[name='keys']").focus(function() {
                    if ($(this).val() === Drupal.t("Keywords")) {
                        $(this).val("");
                    }
                }).blur(function() {
                    if ($(this).val() === "") {
                        $(this).val(Drupal.t("Keywords"));
                    }
                });

                Drupal.luxestate.setInputPlaceHolder('email', 'your email', '.simplenews-subscriber-form .form-type-email');

                Drupal.luxestate.showBlockSearch();
                Drupal.luxestate.processbar();




                var count = 1;
                $('#block-views-block-portfolio-block-1 .view-content > div').each(function() {
                    $(this).addClass('portfolio-gallery portfolio-' + count);
                    count++;
                });
                $('.view-porfolio-masonry .view-content > div').each(function() {
                    $(this).addClass('portfolio-gallery portfolio-' + count);
                    count++;
                });

                // accordion
                Drupal.luxestate.accordionInit();
                $('#accordion-collapse-1').parent().addClass('wp-collase');
                $('.ad-arrow').each(function() {
                    $(this).on("click", function() {
                        var self = (jQuery)(this);
                        self.prev().prev().find('a').click();
                    })
                });

                $('.panel-heading a').each(function() {
                    $(this).on("click", function() {
                        var self = (jQuery)(this);
                        $('.panel-default').removeClass('wp-collase');
                        self.closest('.panel').addClass('wp-collase');
                    })
                });

                /*if ($('#block-luxestate-account-menu .menu-item a').attr('href') == '/user/login') {
                   $('#block-luxestate-account-menu .menu-item a').html(Drupal.t('Login | User'));
                }*/

            });

            Drupal.luxestate.mobileMenu();
        }
    };

    Drupal.luxestate.setInputPlaceHolder = function(name, text, selector) {
        selector = selector == undefined ? '' : selector + ' ';

        if ($.support.placeholder) {
            $(selector + 'input[type="' + name + '"]').attr('placeholder', Drupal.t(text));
        } else {
            $(selector + 'input[type="' + name + '"]').val(Drupal.t(text));
            $(selector + 'input[type="' + name + '"]').focus(function() {
                if (this.value == Drupal.t(text)) {
                    this.value = '';
                }
            }).blur(function() {
                if (this.value == '') {
                    this.value = Drupal.t(text);
                }
            });
        }
    }

    Drupal.luxestate.showBlockSearch = function() {
        var search = $('.search-block-form');
        search.once('search-block').each(function() {
            var search = $(this);
            search.prepend('<span class="search-icon"></span>');
            // Click
            $('.search-icon').click(function() {
                if ($(search).hasClass('hover')) {
                    $(search).removeClass('hover');
                    return;
                } else {
                    $(search).addClass('hover');
                }
            });
        })
    };

    /*    Drupal.luxestate.mobileForum = function () {
            if($('.forum').find('.forum-inner').length == 0)
                $('.forum').append('<div class="forum-inner"></div>');
            if($('.forum').find('.forum-inner')){
                $('.forum table').appendTo('.forum-inner');
            }
        }
    */
    $(document).ready(function() {
        // Owl carousel
        $('.view-our-partners .owl-carousel').owlCarousel({
            items: 3,
            loop: true,
            margin: 30,
            nav: false,
            autoplay: true,
            autoplayTimeout: 4000,
            autoplayHoverPause: true,
            rtl: true,
            responsive: {
                0: {
                    items: 2
                },
                480: {
                    items: 2
                },
                520: {
                    items: 3
                },
                640: {
                    items: 4
                },
                768: {
                    items: 6
                }
            }
        });

        // Disable Right Click and F12
        if ($('body').hasClass('not-logged-in')) {
            $('body').attr('oncontextmenu', 'return false');

            document.onkeypress = function(event) {
                event = (event || window.event);
                if (event.keyCode == 123) {
                    return false;
                }
            }
            document.onmousedown = function(event) {
                event = (event || window.event);
                if (event.keyCode == 123) {
                    return false;
                }
            }
            document.onkeydown = function(event) {
                event = (event || window.event);
                if (event.keyCode == 123) {
                    return false;
                }
            }
        }
    });

    Drupal.luxestate.accordionInit = function() {
        /*var $view = $(".view-why-choose-us .view-content");
        var $view_row = $view.find(".views-row");*/
        (jQuery)('#accordion .panel').each(function(i, e) {
            var self = (jQuery)(this);
            var title = self.find('.views-field-title a').text();
            self.find('.panel-title a').text(title);
            self.find('.panel-collapse').removeClass('in');
        });
        (jQuery)('#accordion #accordion-collapse-1').addClass('in');

    };

    Drupal.luxestate.processbar = function() {
        $(".progress .progress-bar").each(function() {
            var $this = $(this);
            var valuenow = $this.attr("aria-valuenow").replace("$", "");
            var valuemax = $this.attr("aria-valuemax").replace("$", "");
            var percent = (valuenow / valuemax) * 100;
            percent = parseInt(percent);
            $this.css("width", percent + "%");
        });
    }

    Drupal.luxestate.mobileMenu = function() {
      $('#ico-main-menu').mobileMenu();
    }


})(jQuery, Drupal);